Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.framework.persist.dbo
Interface DBObject

All Known Subinterfaces:
  HL7MessageLogDBO

All Known Implementing Classes:
  DBObjectImpl, HL7MessageLogDBOImpl

    public interface DBObject

DBObject instance

Author:
  Sun Microsystems

Method Summary
`DBObject` | `createNew()` DOCUMENT ME!
`void` | `fillDeleteStmt(java.sql.PreparedStatement stmt)` fills delete statement
`void` | `fillInsertStmt(java.sql.PreparedStatement stmt)` fills insert statement
`void` | `fillQueryStmt(java.sql.PreparedStatement stmt)` fills query statement
`void` | `fillUpdateStmt(java.sql.PreparedStatement stmt)` fills update statement
`java.lang.String` | `getDeleteStmt()` get delete statement
`java.lang.String` | `getInsertStmt()` gets insert statement string
`java.lang.String` | `getQueryStmt()` gets query statement
`java.lang.String` | `getUpdateStmt()` gets update statement
`void` | `populateDBO(java.sql.ResultSet rs)` fills DBObject with values from Resultset

Method Detail

### getInsertStmt

    java.lang.String getInsertStmt()

  gets insert statement string

  Returns:
    insert statement

### getUpdateStmt

    java.lang.String getUpdateStmt()

  gets update statement

  Returns:
    String update statement

### getDeleteStmt

    java.lang.String getDeleteStmt()

  get delete statement

  Returns:
    String delete statement

### getQueryStmt

    java.lang.String getQueryStmt()

  gets query statement

  Returns:
    String query statement

### fillInsertStmt

    void fillInsertStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  fills insert statement

  Parameters:
    `stmt` - insert statement
  Throws:
    `java.sql.SQLException` - SQLException

### fillUpdateStmt

    void fillUpdateStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  fills update statement

  Parameters:
    `stmt` - update statement
  Throws:
    `java.sql.SQLException` - SQLException

### fillDeleteStmt

    void fillDeleteStmt(java.sql.PreparedStatement stmt)
                        throws java.sql.SQLException

  fills delete statement

  Parameters:
    `stmt` - delete statement
  Throws:
    `java.sql.SQLException` - SQLException

### fillQueryStmt

    void fillQueryStmt(java.sql.PreparedStatement stmt)
                       throws java.sql.SQLException

  fills query statement

  Parameters:
    `stmt` - PreparedStatement
  Throws:
    `java.sql.SQLException` - SQLException

### populateDBO

    void populateDBO(java.sql.ResultSet rs)
                     throws java.sql.SQLException

  fills DBObject with values from Resultset

  Parameters:
    `rs` - ResultSet
  Throws:
    `java.sql.SQLException` - SQLException

### createNew

    DBObject createNew()

  DOCUMENT ME!

  Returns:
    DBObject DBObject

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD